
# Interface: Tab

Provides properties for a [group tab](auwidgetgroupparam.md).

## Hierarchy

* **Tab**

## Index

### Properties

* [icon](tab.md#icon)
* [id](tab.md#id)
* [opened](tab.md#optional-opened)
* [title](tab.md#title)
* [tooltip](tab.md#tooltip)
* [visible](tab.md#optional-visible)
* [widgets](tab.md#widgets)

## Properties

###  icon

• **icon**: *string*

A tab icon.

___

###  id

• **id**: *number*

The tab ID.

___

### `Optional` opened

• **opened**? : *boolean*

If `true`, opens this tab by default.

___

###  title

• **title**: *string*

The tab title.

___

###  tooltip

• **tooltip**: *string*

The hint of the tab.

___

### `Optional` visible

• **visible**? : *boolean*

If `true`, shows this tab.

___

###  widgets

• **widgets**: *AuWidget[]*

An array of widgets that belong to this tab.
